import { Injectable } from '@angular/core';

@Injectable({
              providedIn: 'root'
            })
export class FilterTransferService {
  private filtersSource: Record<string, any> = {};

  getFilters(): Record<string, any> {
    return this.filtersSource;
  }

  setFilters(filters: Record<string, any>) {
    this.filtersSource = filters;
  }

  clearFilters() {
    this.filtersSource = {};
  }
}